# NOTE: for versions >= 1.8 see efl.spec
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for speedy data storage, retrieval, and compression
Summary(pl.UTF-8):	Biblioteka do szybkiego zapisywania, odtwarzania i kompresji danych
Name:		eet
Version:	1.7.10
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	396ccb7094518cb9ce6939e7d2c6ef8c
URL:		http://trac.enlightenment.org/e/wiki/Eet
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	eina-devel >= 1.7.9
BuildRequires:	gnutls-devel >= 1.7.6
BuildRequires:	libgcrypt-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires:	eina >= 1.7.9
Requires:	gnutls >= 1.7.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eet is a tiny library designed to write an arbitary set of chunks of
data to a file and optionally compress each chunk (very much like a
zip file) and allow fast random-access reading of the file later on.
It does not do zip as a zip itself has more complexity than is needed,
and it was much simpler to implement this once here.

It also can encode and decode data structures in memory, as well as
image data for saving to eet files or sending across the network to
other machines, or just writing to arbitary files on the system. All
data is encoded in a platform independant way and can be written and
read by any architecture.

%description -l pl.UTF-8
Eet to mała biblioteka zaprojektowana do zapisu dowolnego zbioru
porcji danych do pliku i opcjonalnej kompresji każdej porcji (podobnie
do pliku zip) oraz umożliwienia później szybkiego odczytu pliku ze
swobodnym dostępem. Nie jest to zip, jako że sam zip jest bardziej
złożony niż trzeba, a było dużo prościej zaimplementować to tak, jak
jest.

Biblioteka może także kodować i dekodować struktury danych w pamięci,
a także dane obrazów do zapisu do plików eet lub wysyłania po sieci na
inne maszyny, lub po prostu zapisywania do dowolnych plików w
systemie. Wszystkie dane są kodowane w sposób niezależny od platformy
i mogą być zapisywane i odczytywane na dowolnej architekturze.

%package devel
Summary:	Header files for Eet library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Eet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	eina-devel >= 1.7.9
Requires:	gnutls-devel >= 1.7.6
Requires:	libgcrypt-devel
Requires:	libjpeg-devel
Requires:	zlib-devel

%description devel
Header files for Eet library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Eet.

%package static
Summary:	Static Eet library
Summary(pl.UTF-8):	Statyczna biblioteka Eet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Eet library.

%description static -l pl.UTF-8
Statyczna biblioteka Eet.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/eet/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/eet
%attr(755,root,root) %{_libdir}/libeet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeet.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libeet.so
%{_libdir}/libeet.la
%{_includedir}/eet-1
%{_pkgconfigdir}/eet.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libeet.a
%endif
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eet.git;a=log;h=master

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 9d4318c
- updated to 1.7.10

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 53c9df2
- release 2 (by relup.sh)

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> bbb25e4
- note efl.spec for later versions

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> baf4560
- updated to 1.7.9

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> b1b01c4
- updated to 1.7.7

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 35d78ab
- updated to 1.7.6

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 27a6967
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 80d33bc
- updated to 1.7.3

* Wed Nov 28 2012 Jakub Bogusz <qboosh@pld-linux.org> c36d75f
- updated to 1.7.2

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 901edde
- updated to 1.7.1

* Mon Sep 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 726325d
- updated to 1.7.0

* Sat Jun 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 5df381c
- updated to 1.6.1

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 86bfc94
- updated to 1.6.0
- removed obsolete automake patch

* Thu Jan 19 2012 zbyniu <zbyniu@pld-linux.org> 4c38fae
- fix for new automake; rel 2

* Fri Dec 09 2011 Jakub Bogusz <qboosh@pld-linux.org> e41fe32
- updated to 1.5.0

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b3d2479
- release 2

* Tue May 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 74fd0e8
- updated to 1.4.1

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 2893dd8
- updated URL

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 22cba8c
- 1.4.0 is now stable

* Sat Dec 04 2010 Jakub Bogusz <qboosh@pld-linux.org> d2a18a7
- updated to 1.4.0.beta3

